2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/ChangeLog, npa/ChangeLog, pcsc-relay/ChangeLog,
	virtualsmartcard/ChangeLog: updated ChangeLog

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/lnfc.c, pcsc-relay/src/pcsc-relay.c: removed unused
	variables

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/src/Makefile.am: added ccid-types.h to headers

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/Makefile.am, eID_gui/Makefile.am, npa/Makefile.am,
	pcsc-relay/Makefile.am, virtualsmartcard/Makefile.am: fixed location
	of .git

2013-06-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/Makefile.am, eID_gui/Makefile.am, npa/Makefile.am,
	pcsc-relay/Makefile.am, virtualsmartcard/Makefile.am: fixed
	distcheck-hook

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/libnpa.pc.in: use PACKAGE_SUMMARY in libnpa.c

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* doc/index.txt: tikz description doesn't resolve abbreviations

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* doc/bilder/tikzstyles.tex: added missing file

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* doc/conf.py: use today() as version number of vsmartcard docs

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in: include program version in
	help

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: throw an error if the APDU is
	too big

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	implemented vicc to pass PCSC-Lite's handler_test

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: check for vicc presence and
	return immediately

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/api.txt: network byte order is big endian

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/vpcd-driver.c: adapted to changes of
	fb4dbe59ba39e9d6526ffbdba472343ddeed9e4c

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: get cards atr on first try

2013-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	fixed asn1 structure of nPA's default data

2013-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/ifd-vpcd.c: removed debug output

2013-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am: use libpcsclite.pc's new
	serialconfdir

2013-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in,
	virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	allow multiple cards to connect to vpcd due to limitations of pcscd this is currently limited to 10 cards.
	Note that there is a double free corruption in pcscd when unloading
	the driver.

2013-06-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/Makefile.am, eID_gui/Makefile.am, npa/Makefile.am,
	pcsc-relay/Makefile.am, virtualsmartcard/Makefile.am: generate
	ChangeLog from git

2013-06-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/src/ccid-types.h, ccid/src/ccid.h, npa/configure.ac,
	npa/src/Makefile.am, npa/src/boxing.c, npa/src/ccid-types.h: 
	implemented boxing commands for verify/modify separates type definitions into ccid-types.h to be accessible in
	libnpa

2013-06-20  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/doc/README.txt, ccid/doc/README.txt.in: fixed description of
	boxed verify/modify

2013-06-20  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/src/ccid.c: fixed parsing of bNumberMessage and response
	buffer for boxing error

2013-06-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: fixed automatic allocaction of asn1 decoded data

2013-06-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: fixed asn1 formatting of boxing command for pace

2013-06-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/doc/README.txt, ccid/doc/README.txt.in, doc/index.txt,
	npa/doc/README.txt, npa/doc/README.txt.in: avoid duplicated tikz
	code

2013-06-17  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/doc/README.txt, ccid/doc/README.txt.in, doc/conf.py,
	doc/index.txt, doc/references.bib, npa/doc/README.txt,
	npa/doc/README.txt.in: include references and pictures from our
	papers

2013-06-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/configure.ac, ccid/doc/Makefile.am, ccid/doc/README.txt,
	ccid/doc/README.txt.in, ccid/src/Makefile.am,
	ccid/src/ccid-emulator.ggo.in, npa/configure.ac,
	npa/doc/Makefile.am, npa/doc/README.txt, npa/doc/README.txt.in,
	npa/doc/api.txt, npa/src/Makefile.am, npa/src/npa-tool.ggo.in,
	pcsc-relay/configure.ac, pcsc-relay/doc/Makefile.am,
	pcsc-relay/doc/README.txt, pcsc-relay/doc/README.txt.in,
	pcsc-relay/src/Makefile.am, pcsc-relay/src/pcsc-relay.ggo.in,
	virtualsmartcard/configure.ac, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in: include a summary in
	documentation and tools

2013-06-15  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/doc/README.txt, ccid/doc/README.txt.in: added documentation
	about boxing commands

2013-06-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: use sc_format_apdu where possible

2013-06-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/iso-sm.c: fixed typo

2013-06-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: avoid multiple copies for asn1 formatting

2013-06-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: fancier output for print_avail

2013-06-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/src/ccid.c, ccid/src/ccid.h, ccid/src/usb.c,
	npa/src/example.c, npa/src/npa-tool.c, npa/src/npa.c,
	npa/src/npa/scutil.h, npa/src/scutil.c: cleaned up scutils - moved write/read_binary_rec to scutil.c - removed unused handling of card driver

2013-06-12  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed memory leak

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am: fixed default location of
	reader.conf.d use `./configure --confdir` for changing the default

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* eID_gui/COPYING, eID_gui/INSTALL: don't include dangeling links

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/m4/.gitignore, npa/m4/.gitignore, pcsc-relay/m4/.gitignore,
	virtualsmartcard/m4/.gitignore: added empty m4 directories ... to satisfy autoconf

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	added default cvca trust anchor (German eID PKI)

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c, npa/src/example.c, npa/src/iso-sm.c,
	npa/src/npa-tool.c, npa/src/npa.c, npa/src/scutil.c,
	npa/src/sslutil.h: updated license text

2013-06-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.ggo.in: `--new-pin` optionally takes input

2013-06-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed missing initialization of sm_ctx for PACE on
	reader

2013-06-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	added meaningfull default data

2013-06-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: allow changing eID-PIN on reader's PIN pad

2013-06-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/src/ccid.c: fixed pin modification for implicitly given new
	pin

2013-06-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/doc/README.txt, ccid/doc/README.txt.in, ccid/src/ccid.c,
	npa/src/Makefile.am, npa/src/boxing.c, npa/src/npa-tool.c,
	npa/src/npa.c, npa/src/npa/boxing.h: implemented boxing commands
	according to TR-03119

2013-06-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/doc/README.txt, ccid/doc/README.txt.in: include guide for
	building GadgetFS

2013-06-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/src/usb.c: adapted to changed names of gadgetfs endpoints

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/lnfc.c: added support for interrupting libnfc

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/lnfc.c: using nfc_context for nfc_init and nfc_exit See libnfc 1227e7d2644b1efc764e4df6748703d6e47dced0

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/win32/Makefile.am: fixed installing missing libusb0.dll

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/src/ccid.c: use built-in function to parse pseudo apdu

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/certs/Makefile.am: fixed install directories for certificates

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa/npa.h: fixed includes

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/Makefile.am, ccid/configure.ac: detecting availability of
	pace support

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/win32/Makefile.am: fixed reference to missing
	libnfc_mingw.patch

2013-05-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/doc/README.txt, ccid/doc/README.txt.in,
	ccid/doc/autotools.txt, ccid/doc/download.txt,
	doc/autotools.txt.in, doc/conf.py, doc/download.txt.in,
	npa/doc/README.txt, npa/doc/README.txt.in, npa/doc/api.txt,
	npa/doc/autotools.txt, npa/doc/download.txt,
	pcsc-relay/doc/Makefile.am, pcsc-relay/doc/README.txt,
	pcsc-relay/doc/README.txt.in, pcsc-relay/doc/autotools.txt,
	pcsc-relay/doc/download.txt, pcsc-relay/doc/relay-note.txt,
	virtualsmartcard/doc/Makefile.am, virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in, virtualsmartcard/doc/api.txt,
	virtualsmartcard/doc/autotools.txt,
	virtualsmartcard/doc/download.txt,
	virtualsmartcard/doc/relay-note.txt: working on documentation

2013-05-23  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/win32/Makefile.am: install everything from libnfc for
	windows build

2013-05-23  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/win32/Makefile.am: fixed opensc host for cross compiling

2013-05-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: fixed compiler warning

2013-05-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/configure.ac, pcsc-relay/src/Makefile.am,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	made vpcd.c/vpcd.h windows-compatible

2013-05-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/win32/Makefile.am, pcsc-relay/win32/libnfc_mingw.patch: 
	building the most recent version of libnfc

2013-05-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/win32/Makefile.am: fixed missing variable for cross compiling

2013-05-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am, virtualsmartcard/configure.ac,
	virtualsmartcard/npa-example-data/Makefile.am,
	virtualsmartcard/npa-example-data/dh/Makefile.am,
	virtualsmartcard/npa-example-data/ecdh/Makefile.am: distributing npa
	example data

2013-03-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/README, ccid/doc/Makefile.am, ccid/doc/README.rst,
	ccid/doc/README.rst.in, ccid/doc/README.txt,
	ccid/doc/README.txt.in, ccid/doc/autotools.rst,
	ccid/doc/autotools.rst.in, ccid/doc/autotools.txt,
	ccid/doc/autotools.txt.in, ccid/doc/download.rst.in,
	ccid/doc/download.txt, ccid/doc/download.txt.in,
	ccid/doc/questions.rst, ccid/doc/questions.rst.in,
	ccid/doc/questions.txt, ccid/doc/questions.txt.in,
	doc/autotools.rst.in, doc/autotools.txt.in, doc/conf.py,
	doc/download.rst.in, doc/download.txt.in, doc/index.rst,
	doc/index.txt, doc/questions.rst.in, doc/questions.txt.in,
	npa/README, npa/doc/Makefile.am, npa/doc/README.rst,
	npa/doc/README.rst.in, npa/doc/README.txt, npa/doc/README.txt.in,
	npa/doc/api.rst, npa/doc/api.txt, npa/doc/autotools.rst,
	npa/doc/autotools.rst.in, npa/doc/autotools.txt,
	npa/doc/autotools.txt.in, npa/doc/download.rst,
	npa/doc/download.rst.in, npa/doc/download.txt,
	npa/doc/download.txt.in, npa/doc/questions.rst,
	npa/doc/questions.rst.in, npa/doc/questions.txt,
	npa/doc/questions.txt.in, pcsc-relay/README,
	pcsc-relay/doc/Makefile.am, pcsc-relay/doc/README.rst,
	pcsc-relay/doc/README.rst.in, pcsc-relay/doc/README.txt,
	pcsc-relay/doc/README.txt.in, pcsc-relay/doc/autotools.rst,
	pcsc-relay/doc/autotools.rst.in, pcsc-relay/doc/autotools.txt,
	pcsc-relay/doc/autotools.txt.in, pcsc-relay/doc/download.rst,
	pcsc-relay/doc/download.rst.in, pcsc-relay/doc/download.txt,
	pcsc-relay/doc/download.txt.in, pcsc-relay/doc/questions.rst,
	pcsc-relay/doc/questions.rst.in, pcsc-relay/doc/questions.txt,
	pcsc-relay/doc/questions.txt.in, virtualsmartcard/README,
	virtualsmartcard/doc/Makefile.am, virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in,
	virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in, virtualsmartcard/doc/api.rst,
	virtualsmartcard/doc/api.txt,
	virtualsmartcard/doc/api/virtualsmartcard.CardGenerator.txt,
	virtualsmartcard/doc/api/virtualsmartcard.ConstantDefinitions.txt,
	virtualsmartcard/doc/api/virtualsmartcard.CryptoUtils.txt,
	virtualsmartcard/doc/api/virtualsmartcard.SEutils.txt,
	virtualsmartcard/doc/api/virtualsmartcard.SWutils.txt,
	virtualsmartcard/doc/api/virtualsmartcard.SmartcardFilesystem.txt,
	virtualsmartcard/doc/api/virtualsmartcard.SmartcardSAM.txt,
	virtualsmartcard/doc/api/virtualsmartcard.TLVutils.txt,
	virtualsmartcard/doc/api/virtualsmartcard.VirtualSmartcard.txt,
	virtualsmartcard/doc/api/virtualsmartcard.cards.cryptoflex.txt,
	virtualsmartcard/doc/api/virtualsmartcard.cards.ePass.txt,
	virtualsmartcard/doc/api/virtualsmartcard.cards.nPA.txt,
	virtualsmartcard/doc/api/virtualsmartcard.cards.txt,
	virtualsmartcard/doc/api/virtualsmartcard.txt,
	virtualsmartcard/doc/api/virtualsmartcard.utils.txt,
	virtualsmartcard/doc/autotools.rst,
	virtualsmartcard/doc/autotools.rst.in,
	virtualsmartcard/doc/autotools.txt,
	virtualsmartcard/doc/autotools.txt.in,
	virtualsmartcard/doc/download.rst,
	virtualsmartcard/doc/download.rst.in,
	virtualsmartcard/doc/download.txt,
	virtualsmartcard/doc/download.txt.in,
	virtualsmartcard/doc/questions.rst,
	virtualsmartcard/doc/questions.rst.in,
	virtualsmartcard/doc/questions.txt,
	virtualsmartcard/doc/questions.txt.in: respect sphinx style guide to
	some extent see

	http://documentation-style-guide-sphinx.readthedocs.org/en/latest/style-guide.html

2013-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in: accept a hex string
	for community id

2013-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in: add reference date
	for validity verification

2013-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: use additional data template

2013-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: fixed tag of auxiliary data payload

2013-02-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: output "Read " for successful reading

2013-02-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: allow dumping of empty buffer

2013-02-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: added human readable names for DG13-16

2013-02-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am, npa/src/npa-tool.c, npa/src/npa-tool.ggo.in,
	npa/test_vicc_with_npa-tool.sh: added option for cvc and x509
	directory

2013-02-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/npa-example-data,
	virtualsmartcard/npa-example-data/dh/DETESTATDE019,
	virtualsmartcard/npa-example-data/dh/DETESTCVCA00003,
	virtualsmartcard/npa-example-data/dh/DETESTDVDE019,
	virtualsmartcard/npa-example-data/ecdh/DECVCAAT00001,
	virtualsmartcard/npa-example-data/ecdh/DETESTATDE019,
	virtualsmartcard/npa-example-data/ecdh/DETESTDVDE019: added
	cvc_rehash'ed test files

2013-02-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/certs/DECVCAEPASS00102, npa/certs/DECVCAeID00102,
	npa/certs/DECVCAeSign00102, npa/certs/Makefile.am,
	npa/certs/ff3d20d2: removed test certificates, added official ones distributing only the c_rehash'ed/cvc_rehash'ed ones

2013-02-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* .gitignore: gitignore

2013-02-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/doc/download.rst.in: added missing file

2013-02-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/configure.ac, ccid/doc/README.rst, ccid/doc/autotools.rst,
	ccid/src/Makefile.am, ccid/src/ccid.c, ccid/src/ccid.h,
	ccid/src/npa, ccid/src/opensc, ccid/src/scutil.h,
	ccid/src/sslutil.c, ccid/src/usb.c: updated ccid for new version of
	libnpa

2013-02-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.rst, virtualsmartcard/doc/README.rst: fixed typo

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/doc/Makefile.am, ccid/doc/README.rst.in,
	ccid/doc/download.rst.in, doc/conf.py, doc/download.rst.in,
	doc/index.rst, npa/doc/Makefile.am, npa/doc/README.rst,
	npa/doc/README.rst.in, npa/doc/download.rst,
	npa/doc/download.rst.in, npa/src/Makefile.am,
	npa/src/npa-tool.ggo.in, npa/src/npa.c, npa/src/npa/iso-sm.h,
	npa/src/npa/npa.h, npa/src/npa/scutil.h,
	pcsc-relay/doc/Makefile.am, pcsc-relay/doc/README.rst,
	pcsc-relay/doc/README.rst.in, pcsc-relay/doc/download.rst,
	virtualsmartcard/doc/Makefile.am, virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in,
	virtualsmartcard/doc/download.rst,
	virtualsmartcard/doc/download.rst.in,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in: updated documentation

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/win32/Makefile.am, npa/win32/build_fix_zlib.patch,
	npa/win32/build_npa.patch: updated windows build

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	import of EF.CardSecurity was a degradation of OpenPACE
	7016e1a6e958cb7b9a241c059deb807f31dff5fe

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c,
	npa/src/npa/npa.h, npa/test_vicc_with_npa-tool.sh: added CLI flags
	do disable various checks

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: only warn about missing certificate description

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed asn1

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/certs/Makefile.am, npa/configure.ac: 
	distributing nPA's default trust anchors

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.ggo.in: added example CHAT for signature terminal

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h: Added ASN.1
	helper for auxiliary data

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/example.c, npa/src/npa-tool.c, npa/src/npa.c: fixed some
	compiler warnings

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/iso-sm.c: fixed bug in iso sm driver

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: check for NULL pointer

2013-02-07  Dominik <oepen@informatik.hu-berlin.de>

	* npa/src/opensc: Fix opensc submodule

2013-02-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed recursive write of EFs

2013-02-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c, npa/test_vicc_with_npa-tool.sh: 
	fixed special functions

2013-01-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c,
	npa/src/npa/npa.h: added verification of age/validity/community

2013-02-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/iso-sm.c, npa/src/npa.c: handling special Le's for
	encryption in iso SM driver

2013-02-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: selectig eid after EAC

2013-01-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed referencing EAC_CTX in TA and CA

2013-01-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c,
	npa/src/npa/scutil.h: added read and write of data groups adds read_binary_rec and write_binary_rec to scutil.h

2013-01-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/test_vicc_with_npa-tool.sh: fixed typo

2012-12-17  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa/npa.h: added missing documentation

2012-12-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/api.rst: added overview about TA/CA to documentation

2012-12-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* .gitmodules, doc/autotools.rst.in, npa/configure.ac,
	npa/doc/README.rst, npa/doc/README.rst.in, npa/doc/api.rst,
	npa/doc/autotools.rst, npa/src/Makefile.am, npa/src/opensc,
	pcsc-relay/doc/autotools.rst, virtualsmartcard/doc/autotools.rst: 
	include OpenSC as submodule

2012-12-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/Makefile.am, npa/doc/README.rst.in, npa/doc/api.rst: fixed
	generation of documentation

2012-12-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/configure.ac, npa/src/Makefile.am,
	npa/src/example.c, npa/src/iso-sm.c, npa/src/npa-tool.c,
	npa/src/npa.c, npa/src/npa/iso-sm.h, npa/src/npa/npa.h,
	npa/src/npa/sm.h, npa/src/scutil.c, npa/src/sm.c, npa/src/sslutil.c: 
	use OpenSC's hooks to wrap and unwrap SM APDUs sm_transmit_apdu is obsolete. libnpa and OpenSC can be used in
	parallel now. libnpa modifies OpenSC's card handle to add SM on the
	fly to any OpenSC command. This, for example, allows PKCS#XX
	commands in a SM channel established by libnpa.

2012-12-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	fixed resume PIN command PACE with CAN followed by PACE with PIN in SM failed, because the
	eac_ctx holding the SM context was always cleared at the beginning
	of the second PACE run.

2012-12-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	printing of EAC CTX

2012-11-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: always declare extended length capabilities allows usage of an unpatched version of OpenPACE. libnpa now works
	with the nPA using the default card driver.

2012-11-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c, npa/src/npa/npa.h: adapted to changes of OpenSC
	master Now works with the stupid changes of OpenSC made in
	41861e42b01539856b31f758dfde9ba53749eaaa

2012-11-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted to
	changes of OpenPACE Now works with OpenPACE 5182c69ee9dfe4ad7787d4f513d467d81a1f27ed

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c, npa/test_vicc_with_npa-tool.sh,
	virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted to
	latest changes of openpace works with openpace 702cf84aaa01ef5dc490d32208067a89a33102c1

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/test_vicc_with_npa-tool.sh: disable check of validity period
	for testing

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/test_vicc_with_npa-tool.sh: use default CHAT for testing

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in: for EAC, use
	terminal's CHAT by default

2012-10-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/configure.ac: comprehensive checking for help2man and
	gengetopt

2012-10-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, pcsc-relay/configure.ac: comprehensive checking
	for help2man and gengetopt

2012-10-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac: comprehensive checking for help2man

2012-10-12  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: let
	MSE:Set AT distinguish between tags 83, 84

2012-10-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	selecting MF on reset and power up

2012-10-10  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/sm.c: fixed wrong encoding of protected Le

2012-10-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/test_vicc_with_npa-tool.sh,
	virtualsmartcard/Makefile.am,
	virtualsmartcard/test_vicc_with_npa-tool.sh: added script to test
	vicc with npa-tool

2012-10-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: added calculation of longest encrypted short-length
	APDU

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted to
	changes of openpace in 91d6ee1ec80f6...

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: added
	`--cvca` parameter

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.ggo.in, virtualsmartcard/src/vpicc/vicc.in: 
	updated help for `--disable-checks`

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c, npa/src/sm.c: fixed memory
	leaks

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: debug the result from CA's general authenticate

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/sm.c: fixed short length SM APDUs (especially case 2)

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed Le for get challenge

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: nPA: using case 3 apdu for verify

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed CLA of PACE's last general authenticate

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	updated CLI information regarding CAR

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: ignoring
	CVCA certificate for `--disable-checks` This essentially lets the terminal's DVCA certificate to be imported
	without being checked using the CVCA trust anchor.

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	PACE_STEP3D_verify_authentication_token

2012-10-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	initialize ca without specifying `protocol`

2012-10-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	ALGO_MAPPING: added oids for TA, CA, RI and PACE

2012-10-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	removed --ca-pubkey command line option The public key is extracted from the EF.CardSecurity instead.

2012-10-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c,
	npa/src/npa/npa.h, virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: added
	option to disable validity period check

2012-09-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: Fixes for MSE:Set AT in TA and CA - TA: fixed p1, p2 and include ephemeral pubkey and OID - CA: include OID and leave out key reference Currently it is hard to distinguish between the CA key and the
	chip-individual key using the key references in
	EF.CardSecurity/EF.CardAccess. The first (default) key in these
	files should, however, be the CA key.

2012-09-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	TA's ephemeral public key is saved as IV in CRT

2012-09-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: vpcd: fixed prototype of sendall

2012-09-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: npa:
	pass authentication token as string

2012-09-22  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/npa-example-data/ecdh/npa_key: Added nPA example
	data Taken from the official BSI EAC worked example.

2012-09-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: sc_format_apdu instead of manual initialisation

2012-09-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: Send auxiliary data in MSE:Set AT for TA

2012-09-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c: 
	npa-tool: CLI to TA and CA

2012-09-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c, npa/src/npa/npa.h: libnpa: Implementation of CA

2012-09-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa/npa.h: added fids for EF.CardSecurity

2012-09-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: libnpa: Implementation of TA

2012-09-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: added switch to disable apdu checking for TA/CA

2012-09-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fetch CAR for TA from MSE:Set AT

2012-09-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/libnpa.pc.in, npa/src/Makefile.am,
	npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h: adapted to
	changes of OpenPACE

2012-09-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: Skip
	RI, community and age verification simply return 0x9000 saying "yes" to everything

2012-09-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	fixed offset checking for empty files

2012-09-12  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: added
	support for checking Expiry date

2012-09-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed parsing of CLA with proprietary SM activates SM also for the proprietary case

2012-09-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: nPA:
	added stubs for eid application

2012-09-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	switching encryption context of current SE in SAM

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	added FIXME for EF.CardSecurity manipulation

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: removed
	the currently unused getenc and setenc These functions intended to do encryption and decryption respecting
	file acls. This however was never implemented. Better use object
	properties with appropriately setters and getters to realize this
	functionality.

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	nPA: allow the user to specify a EF.CardAccess

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: workaround
	for CAPDU's inability to handle le=0000

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py: 
	fixed maximum value for le = 00 [00 [00]]

2012-08-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: use
	given credentials for CA The user can now specify an EF.CardSecurity, CA private/public key
	and CHR of the trust anchor via the command line.

2012-08-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: fixed
	handeling of extended length Le in SM APDU

2012-08-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* ccid/configure.ac, npa/configure.ac,
	virtualsmartcard/Makefile.am, virtualsmartcard/configure.ac: fixed
	autoconf warnings

2012-08-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/vpcd-driver.c,
	virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	VPCD: partial rewrite of socket communication - memory for buffer of received data is now reused with realloc - internal functions now use a similar interface like recv/send/...  - added documentation about memory handling of
	vicc_getatr/vicc_transmit - fixed transmit when using send in multiple passes

2012-08-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c,
	virtualsmartcard/src/vpcd/vpcd.h: only propagate convenience
	functions of VPCD

2012-08-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/pcsc-relay.c, pcsc-relay/src/pcsc-relay.h,
	pcsc-relay/src/pcsc.c: print card's ATR when connected

2012-08-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/pcsc.c: re-implemented auto-detect feature

2012-08-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/lnfc.c: using libnfc's default values for timeouts

2012-08-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/pcsc-relay.c: fixed output verbosity control with
	--verbose,-v

2012-08-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/lnfc.c, pcsc-relay/src/opicc.c,
	pcsc-relay/src/pcsc-relay.c, pcsc-relay/src/pcsc-relay.h: added
	LEVEL_NORMAL for in interactive mode

2012-07-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/Makefile.am, pcsc-relay/src/pcsc-relay.c,
	pcsc-relay/src/pcsc-relay.ggo.in, pcsc-relay/src/pcsc-relay.h,
	pcsc-relay/src/vpcd-driver.c, pcsc-relay/src/vpcd.c,
	pcsc-relay/src/vpcd.h: added connector backend for virtual smart
	card

2012-07-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/Makefile.am, pcsc-relay/src/pcsc-relay.c,
	pcsc-relay/src/pcsc-relay.h, pcsc-relay/src/pcsc.c,
	pcsc-relay/src/pcscutil.c, pcsc-relay/src/pcscutil.h: added
	abstraction layer to smart card connector PC/SC can now be replaced by some arbitrary backend that
	communicates to a smart card.

2012-07-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* pcsc-relay/src/Makefile.am: Use --no-discard-stderr with
	`help2man` gengetopt generates code that outputs the help to stderr.

2012-06-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c, npa/src/npa/npa.h: using selection by short
	identifier when reading ef.cardaccess. Fixes #3532221 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@783
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-06-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/README.rst, ccid/doc/README.rst.in,
	virtualsmartcard/doc/README.rst, virtualsmartcard/doc/README.rst.in: 
	added documentation about how to access the vpicc under windows git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@782
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/win32/Makefile.am: fixed build dir of libnfc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@781
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, npa/src/npa.c,
	virtualsmartcard/src/vpcd/ifd-vpcd.c: fixed clang --analyze warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@780
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, pcsc-relay/src/lnfc.c, pcsc-relay/src/opicc.c,
	pcsc-relay/src/pcsc-relay.c, virtualsmartcard/src/vpcd/ifd-vpcd.c: 
	fixed clang compiler warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@779
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/win32/Makefile.am: fixed error on cleaning missing
	libnfc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@778
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/example.c, npa/src/npa-tool.c, npa/src/npa.c,
	npa/src/scutil.c: fixed clang compiler warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@777
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: changed
	response data for general authenticate step 4 to work with
	ausweisapp 1.8 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@776
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted
	to changes of PyPACE r79 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@775
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed interface to pyscard git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@774
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, eID_gui/Makefile.am, npa/Makefile.am,
	pcsc-relay/Makefile.am, virtualsmartcard/Makefile.am: use
	distcheck-hook to generate ChangeLog git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@773
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/Makefile.am.opensc, npa/configure.ac,
	npa/win32/Makefile.am, npa/win32/build_fix_zlib.patch,
	npa/win32/build_npa.patch: automate cross compile for windows in
	win32. use the power of the opensc build script git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@772
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/win32/Makefile.am: use file instead of directory as
	makefile target git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@771
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/win32/Makefile.am: fixed creation of missing directory git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@770
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/Makefile.am, pcsc-relay/configure.ac,
	pcsc-relay/win32/Makefile.am, pcsc-relay/win32/libnfc_mingw.patch: 
	automate cross compile for windows in win32 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@769
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/Makefile.am: change the cross compiler using mingw=...  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@768
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, npa/src/Makefile.am,
	pcsc-relay/src/Makefile.am, pcsc-relay/src/pcsc-relay.ggo.in: minor
	improvements of the manpages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@767
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, npa/configure.ac, pcsc-relay/Makefile.am,
	pcsc-relay/configure.ac, virtualsmartcard/configure.ac: added
	missing checks at configure time git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@766
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py: released 2012-04-11 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@765
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac: checking for doxygen git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@764
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/ChangeLog, ccid/configure.ac: released 0.6 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@763
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/ChangeLog, npa/configure.ac: released 0.4 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@762
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, npa/src/Makefile.am: fixed distribution of
	opensc headers git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@761
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/ChangeLog, pcsc-relay/configure.ac: released 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@760
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	released 0.5 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@759
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, eID_gui/Makefile.am, npa/Makefile.am,
	pcsc-relay/Makefile.am, virtualsmartcard/Makefile.am: only generate
	changelog when working in repository git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@758
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, eID_gui/Makefile.am, npa/Makefile.am,
	pcsc-relay/Makefile.am, virtualsmartcard/Makefile.am: automatically
	generate changelog when releasing git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@757
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/doc/Makefile.am: using macro for doxygen git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@756
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/doc/Makefile.am, ccid/src/Makefile.am,
	npa/doc/Makefile.am, npa/src/Makefile.am, pcsc-relay/configure.ac,
	pcsc-relay/doc/Makefile.am, pcsc-relay/src/Makefile.am,
	virtualsmartcard/doc/Makefile.am: use macro for sed im makefiles git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@755
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpicc/Makefile.am: generate man page for vicc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@754
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in: added version info git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@753
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: formatting defaults by hand to
	avoid default: None git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@752
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: dont mention authors in help The argument formatter removes linebreaks and paragraphs, so we have
	to reduce the amount of information shown.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@751
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in: improved vicc help git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@750
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: load
	card specific modules only when needed git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@749
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/index.rst: added pictures, should be updated git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@748
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/api.rst: fixed cross reference to doxygen documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@747
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/README.rst, ccid/doc/README.rst.in: fixed sphinx warning git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@746
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py, doc/index.rst: exclude rsts that are included in
	other documents git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@745
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Doxyfile.in, npa/doc/Makefile.am, npa/doc/api.rst: fixed
	name of doxygen generated tag file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@744
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/Makefile.am, ccid/doc/README.rst,
	ccid/doc/README.rst.in, doc/index.rst, npa/doc/README.rst,
	npa/doc/README.rst.in, pcsc-relay/doc/Makefile.am,
	pcsc-relay/doc/README.rst, pcsc-relay/doc/README.rst.in,
	virtualsmartcard/doc/README.rst, virtualsmartcard/doc/README.rst.in: 
	updated documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@743
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am: removed reference to pcscutil.h, which is
	now part of pcsc-relay git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@742
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pcscutil.c, ccid/src/pcscutil.h,
	pcsc-relay/src/pcscutil.c, pcsc-relay/src/pcscutil.h: 
	stringify_error now returns a string instead of printing the error git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@741
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/Makefile.am, pcsc-relay/configure.ac,
	pcsc-relay/src/lnfc.c, pcsc-relay/src/opicc.c,
	pcsc-relay/src/pcsc-relay.c, pcsc-relay/src/pcsc-relay.ggo.in,
	pcsc-relay/src/pcsc-relay.h: implemented cross compiling with mingw git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@740
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/Makefile.am,
	ccid/src/ccid-emulator.ggo.in, npa/configure.ac,
	npa/src/Makefile.am, pcsc-relay/configure.ac,
	pcsc-relay/src/Makefile.am: use help2man to generate minimal man
	pages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@739
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/src/Makefile.am: re-enabled clumsy include of
	libws2_32 When recognition of windows build at compile time is done, this
	should be disabled again.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@738
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, ccid/src/binutil.c, ccid/src/binutil.h,
	ccid/src/ccid-emulator.ggo.in, ccid/src/usb.c, npa/src/Makefile.am,
	npa/src/binutil.c, npa/src/binutil.h, npa/src/npa-tool.c,
	npa/src/npa-tool.ggo.in, pcsc-relay/src/Makefile.am,
	pcsc-relay/src/binutil.c, pcsc-relay/src/binutil.h,
	pcsc-relay/src/pcsc-relay.c, pcsc-relay/src/pcsc-relay.ggo.in: 
	switched to command line handling with gengetopt git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@737
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/doc/README.rst, pcsc-relay/doc/autotools.rst: updated
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@736
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/README.rst, ccid/doc/autotools.rst: updated documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@735
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, npa/configure.ac, pcsc-relay/configure.ac,
	virtualsmartcard/configure.ac: more readable information via
	autoconf git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@734
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/configure.ac, pcsc-relay/src/lnfc.c: adapted to API
	changes of libnfc 1.6 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@733
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/src/Makefile.am: moved include of ws2_32 to
	the appropriate place git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@732
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/README.rst.in: updated links and info
	for installation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@731
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/Makefile.am.opensc: fixed cross compiling for
	windows git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@730
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: updated windows build variables git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@729
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-03-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed throwing SwError thanks, Ben.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@728
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-03-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/Makefile.am, doc/autotools.rst.in, npa/doc/Makefile.am,
	npa/doc/README.rst, pcsc-relay/doc/Makefile.am,
	virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/autotools.rst: added recommended configure
	options to documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@727
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-03-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/doc/README.rst.in: added missing note, which was
	already present in README.rst git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@726
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-03-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/libnfc/libnfc.bb, bitbake/opensc/opensc.bb,
	bitbake/python/python-pycrypto_2.0.1.bb,
	bitbake/vsmartcard/ccid-emulator.bb, bitbake/vsmartcard/npa.bb,
	bitbake/vsmartcard/pcsc-relay.bb, bitbake/vsmartcard/picctopcsc.bb,
	bitbake/vsmartcard/virtualsmartcard.bb: updated recipes to new
	requirements of openembedded and newer versions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@725
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, npa/src/Makefile.am: follow symbolic links
	when searching for openscs header files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@724
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/opensc/opensc.bb: removed commented flags git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@723
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/opensc/opensc.bb: remove warnings from wrong license and
	some unneeded flags git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@722
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/opensc/opensc.bb: fixed QA errors git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@721
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/ccid/ccid-1.3.13/ccid-1.3.13.patch,
	bitbake/ccid/ccid_1.3.13.bb, bitbake/ccid/ccid_1.4.4.bb,
	bitbake/ccid/ccid_1.4.4/ccid-1.4.4.patch, bitbake/opensc/opensc.bb,
	bitbake/opensc/opensc_0.12.0.bb,
	bitbake/pcsc-lite/files/pcscd.init,
	bitbake/pcsc-lite/pcsc-lite-1.6.1/pcsc-lite-1.6.1.patch,
	bitbake/pcsc-lite/pcsc-lite_1.6.1.bb,
	bitbake/pcsc-lite/pcsc-lite_1.7.2.bb,
	bitbake/python/python-pycrypto_2.0.1.bb: updated bitbake recipes of
	support packages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@720
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: adapted to changes of
	https://github.com/frankmorgner/OpenSC git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@719
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/ccid.c: get ef.cardaccess on demand.
	newer versions of ausweisapp dont screw this up anymore.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@718
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	manipulation of EF.CardSecurity with CA public key git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@717
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: removed
	manipulation of ef_card_security since this would require the
	complete public point instead of the compressed public point git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@716
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted
	to pypace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@715
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	modifying ef cardsecurity to contain the chips public key (but a
	wrong signature) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@714
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: debug
	unprotected result git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@713
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	CA, which is now successfully tested git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@712
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: - fixed CA OID - applied pypace interface for ca git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@711
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: removed unused declaration git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@710
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: return SC_SUCCESS instead of 0 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@709
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: removed handling of CAR and CHR, this is done in TA
	by OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@708
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: enable time check for imported certificates git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@707
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: removed card driver hack. use a better opensc
	instead (see https://github.com/frankmorgner/OpenSC) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@706
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: adapted to openpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@705
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	mapping ca oid to the correct algorithm git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@704
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	Subroutines to parse_SM_CAPDU, protect_response and
	perform_security_operation only return the resulting string and no
	longer status bytes This prevents overwriting of the statusbytes when applying SM.
	Errors should be returned via `raise SwError` git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@703
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	import of auxiliary data for TA. Terminals signature can be verified
	now git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@702
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: more
	convenient values for pin and can git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@701
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac: fixed output of configure variables for libnpa git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@700
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	added ef card security git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@699
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: include shell code for cloning opensc with pace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@698
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c: always print a message in case of an error git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@697
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/Makefile.am, ccid/src/cats-test.c,
	ccid/src/ccid.c, npa/Makefile.am.opensc, npa/configure.ac,
	npa/src/example.c, npa/src/npa-tool.c, npa/src/npa.c,
	npa/src/npa/npa.h: using patched OpenSC enabled with PACE to use the
	reader's capabilities sourcecode can be fetched from here
	https://github.com/frankmorgner/OpenSC git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@696
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: better
	debug output git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@695
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/ccid-1.3.11.patch, ccid/patches/ccid-1.4.4.patch,
	ccid/patches/ccid-1.4.5.patch: raise temporary buffer size to the
	maximum possible for pace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@694
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/ccid-1.3.11.patch, ccid/patches/ccid-1.4.4.patch,
	ccid/patches/ccid-1.4.5.patch: add support for big certificate
	descriptions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@693
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	import of CV certificates. Terminal's signature is currently wrongly
	checked (as 'invalid').  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@692
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: fixed
	parsing of extended length apdu with Le = max git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@691
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: Fixed
	a typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@690
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: Fixed
	a typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@689
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@688
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: fixed
	calculation of bertlv coded data for authentication git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@687
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: Removed
	broken code git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@686
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA's SM
	now successfully tested - fixed SEutils to use new input data to append_padding - added defines to reference nPA's secrets (as keyref) - fixed send sequence counter handling in nPA - added protect_response to nPA to authenticate the status bytes - implemented reset retry counter for nPA git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@685
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: include
	most recent ca in response successfull PACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@684
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-20  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: 
	-Propagate changes to append_padding to all files -Adjust
	strip_padding to match append_padding git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@683
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-20  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Use the
	blocklength of the actual cipher to append padding (instead of
	hardcoded DES-CBC blocklength) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@682
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: added
	SM. currently untested due to bug in OpenPACE or pyPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@681
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-18  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: Adjusted libnpa to API changes in OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@680
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-04  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Adapted
	TA steps to pypace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@679
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: fixed help strings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@678
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: switched to argparse git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@677
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: added
	support for TA and CA (currently untested) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@676
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: added PIN
	management for nPA git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@675
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: - added dedicated nPA_SE - saving mf in Security_Environment git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@674
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	introducing a default SE for all cards git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@673
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: using
	if/else instead of a dedicated handler for eac steps git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@672
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: added PACE
	support for nPA emulator git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@671
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: bugfix git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@670
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/Makefile.am: fixed missing bracket git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@669
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: use libcrypto instead of libssl git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@668
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-11  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Partial
	conversion to python 3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@667
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@666
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@665
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/api.rst: small fixes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@664
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/doc/README.rst, virtualsmartcard/doc/api.rst: 
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@663
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: - fixed sw when reading until end of file - let npa emulator act like real npa (until general authenticate
	occurrs) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@662
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: dont
	throw an error on mse:set at. using source code, which was
	priviously deleted.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@661
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@660
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in,
	virtualsmartcard/doc/generate_modules.py: dont document special
	members git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@659
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Remove
	dummy code for tags which are already handled by the ISO code git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@658
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/configure.ac, pcsc-relay/src/lnfc.c: using libnfc 1.5.1 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@657
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: dont
	throw an error on mse:set at. using source code, which was
	priviously deleted.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@656
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/api.rst: generate the correct links to class
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@655
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/api.rst,
	virtualsmartcard/doc/virtualsmartcard: documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@654
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py, virtualsmartcard/doc/generate_modules.py: include
	inheritance graphs git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@653
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: import
	chat as late as possible to not confuse generation of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@652
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/configure.ac, virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpicc/Makefile.am: autoconf macros for sed, ln
	and mkdir git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@651
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Bugfixes:
	nPA emulator is now working git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@650
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Bugfixes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@649
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Bugfixes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@648
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Do not
	overide the OS but only the SAM and parts of the SE for nPA
	emulation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@647
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/autotools.rst: adapted to openpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@646
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/api.rst: added network format vpcd<->vpicc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@645
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst.in: adapted to openpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@644
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	minimal nPA emulation. use it to fetch and print a chat. uses pypace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@643
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: removed
	debug message git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@642
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: adapted to openpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@641
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst: updated documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@640
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am: added Cygwin as supported
	platform git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@639
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-06  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/ccid-1.3.11.patch: added defines to cope with
	unpatched pcsc libraries git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@638
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/configure.ac: minor fixes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@637
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am: added no-undefined for building a dll git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@636
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/README.rst, ccid/doc/README.rst.in, doc/conf.py,
	npa/doc/README.rst, npa/doc/README.rst.in,
	pcsc-relay/doc/README.rst, pcsc-relay/doc/README.rst.in,
	virtualsmartcard/doc/README.rst, virtualsmartcard/doc/README.rst.in: 
	not using static path for program-output. instead setting the
	correct envirnment in conf.py.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@635
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/configure.ac, npa/src/npa-tool.c: - using unsigned long long for constant max value of puk - fixed fixup_la - guessing building machine git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@634
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: using pkg-config for cross compile build git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@633
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/src/npa-tool.c: using 64 bits for value of
	puk git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@632
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c: break secrets from bottom to top git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@631
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: car and certificate description are now optional
	for npa_ctx_create git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@630
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: omitting initialize for ta for unauthenticated
	terminals git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@629
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: install requires absolute path git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@628
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/Makefile.am, ccid/doc/README.rst,
	ccid/doc/README.rst.in, doc/conf.py, npa/configure.ac,
	npa/doc/Makefile.am, npa/doc/README.rst, npa/doc/README.rst.in,
	pcsc-relay/doc/Makefile.am, pcsc-relay/doc/README.rst,
	pcsc-relay/doc/README.rst.in, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst, virtualsmartcard/doc/README.rst.in: 
	included help output from programs in documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@627
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: replaced pwd with abs_top_src_dir git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@626
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/Makefile.am, npa/configure.ac, npa/doc/Makefile.am,
	pcsc-relay/doc/Makefile.am, virtualsmartcard/configure.ac,
	virtualsmartcard/doc/Makefile.am: cleaned up build of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@625
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: workaround to undefined reference to rpl_malloc.
	cross compiling works now git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@624
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: using absolute include/library directories git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@623
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: added fixes for la files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@622
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/Makefile.am.opensc: modifying opensc to get
	all library functions exported git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@621
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: library fixup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@620
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed reference to cvc_cert function git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@619
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: library fixup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@618
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: work on cross compile build git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@617
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: work on cross compile build git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@616
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/src/npa/scutil.h: work on cross compile build git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@615
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c: added chat for signature terminal and some
	error codes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@614
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/Makefile.am, ccid/doc/README.rst,
	ccid/doc/README.rst.in, npa/doc/Makefile.am,
	pcsc-relay/doc/Makefile.am, virtualsmartcard/doc/Makefile.am: - update on ccid documentation - rebuilding documentation when any *.in file changes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@613
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: removed
	warnings from sphinx git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@612
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/generate_modules.py: switched to sphinx 1.1 to
	document special and private members git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@611
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	sphinx formatting for documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@610
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	Minor fixes to sphinx markup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@609
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py: 
	removed warnings by sphinx due to invalid formatting git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@608
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py: 
	Converting docstrings to sphinx syntax git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@607
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/README.rst, ccid/doc/autotools.rst,
	ccid/doc/questions.rst, npa/doc/README.rst, npa/doc/autotools.rst,
	npa/doc/questions.rst, pcsc-relay/doc/README.rst,
	pcsc-relay/doc/autotools.rst, pcsc-relay/doc/questions.rst,
	virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/autotools.rst,
	virtualsmartcard/doc/questions.rst: added autogenerated files for
	easier development checkout git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@606
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/Makefile.am, doc/conf.py, npa/doc/Makefile.am,
	npa/doc/api.rst, pcsc-relay/doc/Makefile.am,
	virtualsmartcard/doc/Makefile.am: only refresh documentation if
	needed git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@605
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst.in, pcsc-relay/doc/README.rst.in,
	virtualsmartcard/doc/README.rst.in: added potential platforms to
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@604
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py, doc/index.rst: smartcard is a smart card git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@603
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py: hide some stuff git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@602
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py: add vpicc to python path git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@601
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac: print pcsc conf dir git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@600
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/Makefile.am, ccid/doc/README.rst,
	ccid/doc/README.rst.in, npa/doc/Makefile.am, npa/doc/README.rst,
	npa/doc/README.rst.in, pcsc-relay/doc/Makefile.am,
	pcsc-relay/doc/README.rst, pcsc-relay/doc/README.rst.in,
	virtualsmartcard/doc/Makefile.am, virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in: more autotool magic git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@599
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/autotools.rst.in: file markup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@598
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/configure.ac, ccid/doc/Makefile.am,
	doc/autotools.rst.in, doc/index.rst, doc/questions.rst.in,
	npa/Makefile.am, npa/configure.ac, npa/doc/Makefile.am,
	pcsc-relay/Makefile.am, pcsc-relay/doc/Makefile.am,
	virtualsmartcard/Makefile.am, virtualsmartcard/configure.ac,
	virtualsmartcard/doc/Makefile.am: - more autotool magic in documentation files - including substituted documentation files with distributed files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@597
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/index.rst, doc/questions.rst.in: documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@596
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/Makefile.am, ccid/doc/README.rst,
	ccid/doc/questions.rst.in, doc/autotools.rst.in, doc/conf.py,
	doc/index.rst, doc/questions.rst.in, npa/doc/Makefile.am,
	npa/doc/README.rst, npa/doc/questions.rst.in,
	pcsc-relay/doc/Makefile.am, pcsc-relay/doc/README.rst,
	pcsc-relay/doc/questions.rst.in, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/questions.rst.in: - worked around warnings of sphinx - using generic file for questions for all subprojects git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@595
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/README.rst: documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@594
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am: correctly include example git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@593
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/api/Makefile.am: correctly include api and
	generate_modules.py git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@592
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/doc/Makefile.am, ccid/doc/README.rst,
	ccid/doc/autotools.rst.in, doc/autotools.rst.in, doc/conf.py,
	npa/Makefile.am, npa/doc/Makefile.am, npa/doc/README.rst,
	npa/doc/autotools.rst.in, pcsc-relay/Makefile.am,
	pcsc-relay/doc/Makefile.am, pcsc-relay/doc/README.rst,
	pcsc-relay/doc/autotools.rst.in, virtualsmartcard/Makefile.am,
	virtualsmartcard/doc/Makefile.am, virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/autotools.rst.in: using generic autotools
	description for all subprojects git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@591
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-28  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/doc/README.rst, npa/doc/README.rst,
	pcsc-relay/doc/README.rst, virtualsmartcard/doc/README.rst: added
	more markup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@590
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/generate_modules.py: using an other version of
	generate_modules.py that structures the modules slightly better git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@589
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py, doc/index.rst, npa/doc/Makefile.am,
	virtualsmartcard/Makefile.am, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/api.rst,
	virtualsmartcard/doc/generate_modules.py: automagically generate
	documentation of virtualsmartcard git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@588
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/README, ccid/README.dox,
	ccid/configure.ac, ccid/doc/Makefile.am, ccid/doc/README.rst,
	doc/_static/doxygen-npa, doc/ccid, doc/ccid.rst, doc/conf.py,
	doc/doxygen/npa, doc/index.rst, doc/npa, doc/npa.rst,
	doc/npaapi.rst, doc/pcsc-relay, doc/pcsc-relay.rst,
	doc/virtualsmartcard, doc/virtualsmartcard.rst, npa/Doxyfile.in,
	npa/Makefile.am, npa/README, npa/README.dox, npa/configure.ac,
	npa/doc/Doxyfile.in, npa/doc/Makefile.am, npa/doc/README.rst,
	npa/doc/api.rst, npa/doc/example.c, pcsc-relay/Makefile.am,
	pcsc-relay/README, pcsc-relay/configure.ac,
	pcsc-relay/doc/Makefile.am, pcsc-relay/doc/README.rst,
	virtualsmartcard/Makefile.am, virtualsmartcard/README,
	virtualsmartcard/configure.ac, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst,
	virtualsmartcard/src/vpicc/Makefile.am: using a dedicated folder for
	documentation in each subproject git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@587
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, npa/README.dox, pcsc-relay/README,
	virtualsmartcard/README: documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@586
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, npa/README.dox: -Better install instructions for
	ccid-emulator -Added metadata to documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@585
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@584
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: better rendering of basic information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@583
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/index.rst, virtualsmartcard/README: -Remove references to
	indices from index.rst -Add some meta information to
	virtualsmartcard docs -Add link to cyberflex-shell git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@582
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/README: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@581
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/README: more information for installation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@580
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/configure.ac: removed garbage git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@579
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: copy and paste friendly installation guide git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@578
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: more detailed install instructions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@577
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/example.c: minor simplifications git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@576
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/index.rst, doc/npaapi.rst: separated programming guide git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@575
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/example.c: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@574
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/npaapi.rst, npa/README.dox, npa/src/Makefile.am,
	npa/src/example.c, npa/src/npa-tool.c: including a simple example
	program mainly for documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@573
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c: include npa.h as global resource git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@572
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py: Fix paths to doxylinkwq git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@571
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/npaapi.rst: added more structure git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@570
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/npaapi.rst: - surrendered to the incompletenes of breathe. now including only
	documentation of important stuff by hand.  - added example code using npa-tool.c git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@569
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py, npa/Doxyfile.in: automatically update doxygen
	documentation if possible git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@568
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/_static/doxygen-npa, doc/conf.py, doc/doxygen/ccid,
	doc/doxygen/npa, doc/index.rst, doc/npaapi.rst, npa/Doxyfile.in,
	npa/README.dox, npa/src/npa/npa.h, npa/src/npa/sm.h: Compromise with
	documentation: Include the most important parts of libnpa with
	breathe and reference the details with doxylink to external doxygen
	pages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@567
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@566
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa/npa.h, npa/src/npa/scutil.h, npa/src/npa/sm.h: 
	documentation: grouping and other things git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@565
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, doc/index.rst, npa/README.dox: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@564
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@563
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in: document only public interface git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@562
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Doxyfile.in, ccid/Makefile.am, ccid/configure.ac: dont
	generate sourcecode documentation for binaries git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@561
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-18  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: added workaround to avoid potentially conflicting
	types of mse:set at's git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@560
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: - found OpenSSL's limitation to not use optional item templates in
	other item templates. this caused errors on parsing mse:set at
	during ta - checking terminal's signature now seems stable, so it is enabled
	by default git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@559
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: Fixed a typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@558
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in: documenting only interface to the outside world git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@557
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c, npa/src/npa.c: - added support for verifying terminal's signature including
	auxiliary data (experimental, currently disabled) - debugging openssl where possible/needed - using openssl instead of opensc for asn1 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@556
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-14  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py: Changed favicon git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@555
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-14  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py, npa/README.dox: -Added Virtual Smartcard logo to
	documentation -Changed theme git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@554
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-14  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Doxyfile.in: Fix __attribute__ handling of doxygen git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@553
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/conf.py, npa/README.dox: Added npa documentation to breathe git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@552
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Doxyfile.in, ccid/README.dox, doc/conf.py, doc/doxygen/ccid,
	doc/doxygen/npa: -Removed README.dox from ccid Doxyfile inputs
	-Started to use breathe to integrate Doxygen documentation into
	sphinx git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@551
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Doxyfile.in: -Exclude OpenSC from documentation -Enable XML
	documentation generation for sphinx git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@550
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in, npa/src/npa.c: -Converted CVC_check_cert function
	call to CVC_check_description -Removed README.dox from Doxygen input
	-Excluded opensc from the documentation -Enabled generation of XML
	documentation (for sphinx) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@549
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/index.rst, npa/README.dox: Fixed highlighting of configure
	commands in npa documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@548
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-12  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/index.rst: Fixed links git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@547
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-12  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/index.rst, doc/npa.rst, npa/README.dox: Converted npa
	documentation to reStructuredText (mostly) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@546
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-12  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/index.rst, doc/pcsc-relay.rst, doc/virtualsmartcard.rst,
	pcsc-relay/README, virtualsmartcard/README: Converted most of the
	documentation to reStructuredText in order to be able to sphinx for
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@545
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-12  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, doc/ccid.rst, doc/index.rst: Converted ccid
	documentation to reStructuredText git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@544
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-12  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* doc/Makefile, doc/conf.py, doc/index.rst: Starting to use sphinx
	for documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@543
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/scutil.c: fixed error on using stdout as debug log git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@542
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/sslutil.h: implemented ssl_error as macro git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@541
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/sslutil.c: implemented ssl_error as macro git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@540
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/apdus, npa/Makefile.am, npa/apdus: - moved example apdus to npa-tool git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@539
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: - fixed type of auxiliary data in c-apdu - parsing mse:set for ta - check terminals signature for ta git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@538
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c, npa/src/npa/npa.h, npa/src/npa/sm.h,
	npa/src/scutil.c, npa/src/sm.c: - checking description against the certificate is now done
	internally in libnpa, removed hash of certificate description from
	pace output - importing terminal certificates to verify terminals signature - fixed hex dump without sc_context git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@537
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: - fixed corruption of certificate description - adjusted output parsing from certificate_description_print - fixed check for certificate description in terminal certificate git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@536
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-21  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: generating cv certificate from apdu data to perform
	check against certificate description git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@535
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, npa/src/npa.c: handling certificate description
	and chat in libnpa instead of ccid-emulator git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@534
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: checking certificate description on pso:verify
	certificate git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@533
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: dumping chat git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@532
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: dumping certificate description git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@531
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: fixed
	problems on initialization git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@530
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: added ugly hack to support changing the eID-PIN
	with AusweisApp git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@529
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: fixed parsing of modification input git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@528
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-07  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: Lexically sorted the optparse
	options git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@527
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-06  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SWutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Removed vim
	folding markers git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@526
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-06  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Added documentation generation to build process git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@525
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Fixed the
	documentation. epydoc still fails to build html files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@524
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: Fixed grammar error git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@523
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/sm.c: added error checking git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@522
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: - new pin was not included in apdu for pin modification (fixed) - added support for modification/verification apdus from the host
	that don't contain any data. the reader automatically allocates the
	correct number of bytes for the pin(s) and modifies apdu's case and
	lc.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@521
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, ccid/src/ccid.c, ccid/src/ccid.h: fixed problems
	parsing pin modification data structure git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@520
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c, ccid/src/ccid.c: fixed bugs for pin
	modification git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@519
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/ccid-1.4.4.patch: fixed bug stating insufficient
	buffer git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@518
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c, ccid/src/ccid.c, ccid/src/usb.c: fixed bugs
	due to new version of opensc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@517
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: -Fixed
	indention -Improved a comment git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@516
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: 
	Removed duplicate code git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@515
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py: Added
	some documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@514
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: Make
	pylint happy git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@513
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: - Remember the password when loading a card from disk and reuse it
	when saving the card.  - Added a bit of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@512
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/Makefile.am, ccid/src/cats-test.c,
	ccid/src/ccid.c, ccid/src/sslutil.c, ccid/src/sslutil.h,
	npa/src/Makefile.am, npa/src/npa.c, npa/src/sslutil.c,
	npa/src/sslutil.h: - added openssl debug code to ccid emulator - fixed some bugs due to changes in recent opensc version - added support for changing pin via standard leser git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@511
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-24  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: Slight
	improvements to generate_public_key. Unfortunately the function is
	still broken git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@510
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: More
	cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@509
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py: 
	Cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@508
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: Added
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@507
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: 
	Reduced overlap between ePass_SE and PassportSAM git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@506
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Code cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@505
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: -Added some
	documentation -Partially fixed format string usage in the logger git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@504
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: - Removed MF reference from Security Environment (only needed for
	cryptoflex card) - General code cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@503
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@502
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py: - Move CryptoflexMF to cards.cryptoflex - A little bit of code cleanup in SmartcardFilesystem.py git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@501
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	Fixed broken imports git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@500
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/__init__.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: 
	Refactoring: Moving card specific stuff to separate package git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@499
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Added
	a bit of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@498
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Moved
	Security_Environment code to the SEutils file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@497
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	Code cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@496
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	-Bugfix: Selection from current DF -Replaced print by logging git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@495
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SWutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	-Updated copyright date -Added a little bit of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@494
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removed incorrect sanity check git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@493
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removed incorrect sanity check git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@492
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fixed
	urandom() usage git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@491
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fixed
	urandom() usage git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@490
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Refactoring: Merged Secure_Messaging and Security_Environment
	classes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@489
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/ccid-1.4.4.patch: patch to newest version of libccid git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@488
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fixed
	some typos git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@487
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fix
	storage and retrieval of Security Environments git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@486
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Removed
	duplicate method git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@485
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Forgot to return SW[NORMAL] in case an MSE command actually succeeds
	:-) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@484
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: The
	__replace_tag function was completely broken. It is now somewhat
	fixed, but should still be replaced by a more elegant solution.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@483
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: Added some
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@482
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/usb.c: returning default strings on selection of wrong
	language git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@481
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/vpcd.c: reusing socket on reconnect git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@480
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Added
	a SAM reference to the Secure_Messaging class in order to resolve an
	error.  The classes in SmartcardSAM are way too entangled and
	definitively need to be refactored.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@479
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	checking attribute existance before referencing it git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@478
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py: fixed
	bogus import git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@477
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c: fixed potential buffer overflow when parsing
	input git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@476
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Bugfixes: Fixed import error and incorrect method call git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@475
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py: Bugfixes:
	Wrong number of arguments for function call and missing import git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@474
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Replaced print calls by actual logging git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@473
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	Bugfix: Missing self. before reference to content dictionary git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@472
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-30  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Better exception handling git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@471
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-30  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Code style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@470
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@469
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@468
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@467
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Merged CardContainer class with SAM.  Since part of the CardContainer functionallity was removed and the
	seperation between both classes seemed kind of random, CardContainer
	was ditched in favor of SAM.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@466
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@465
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removed remaining call to CardContainer.getKey git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@464
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Removed
	in-memory encryption of data. We didn't use it and it was probably
	buggy anyway, so this is a good opportunity to get rid of some
	awkard code.  In memory encryption might be properly implemented
	lateron using the SAM.FSencrypt and SAM.FSdecrypt functions, but I
	doubt it's worth the trouble.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@463
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@462
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: Bugfixing
	and code style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@461
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	-Bugfix: Added missing import in PassportSAM -Bugfix: Fixed constant
	names in SEutils git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@460
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removing unused functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@459
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removing unused functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@458
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removing unused functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@457
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py: Added
	convenience functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@456
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@455
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@454
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements and bugfixing in mutual_authenticate git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@453
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@452
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@451
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@450
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Bug
	hunting and beautifying with pylint git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@449
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	-Bugfix: Fixed incorrect indention -Bugfix: Do not default to MD5
	hashing git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@448
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Bugfix: adapted changed signature of the Security_Environment
	constructor git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@447
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Even
	though there may be different Keys to protect CAPDUs and RAPDUs
	there is only one Security Environment. Therefore, I merged the
	CAPDU_SE and RAPDU_SE into current_SE. Works with the ePass
	Emulation, still need to test it with the cryptoflex card.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@446
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	SmartcardSAM: Fixed syntax errors SEutils: Now replying with error
	RAPDU when we do not support a referenced algorithm git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@445
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Various
	Bugfixes with regard to parsing a MSE:SetAT.  The whole SE and SAM
	system should really be rewritten.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@444
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-28  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c: Fixed some compiler warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@443
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-28  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox: Fixed some typos git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@442
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-28  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac: fixed configure with pace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@441
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* : git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@440
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: adjusted to changes of OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@438
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Imported
	minor bugfix from upstream git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@437
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: -Removed
	unused code from utils.py -Added a unit test for case 2 extended
	length APDUs git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@436
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	-Bugfix: The Le of the Command APDU was used when sending out an
	error R_APDU -Enhancement: Using correct effective Le for R_APDUs git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@435
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: -Bugfix:
	Erroneously set Lc and not Le for case 2 APDUs -Added new property
	effective_Le git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@434
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/ccid.c, npa/configure.ac,
	npa/src/npa-tool.c, npa/src/scutil.c: switched to opensc 0.12.1,
	where build_apdu has been accepted as sc_bytes2apdu git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@433
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: added support for GetReaderInfo of BSI TR-03119 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@432
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: - bugfix to be conform to OpenPACE API - added consistency checks for lengths of APDUs git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@431
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	Fixed typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@430
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Preliminary
	extended length APDU support git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@429
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Bugfix: wrong parameters were set in a call for formatResult git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@428
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, eID_gui/configure.ac, npa/configure.ac,
	pcsc-relay/configure.ac, virtualsmartcard/configure.ac: silent build
	rules git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@427
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd-vpcd.c: clearification on
	requirements for compliance to IFDHandler API version 3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@426
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: released 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@425
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/ChangeLog: updated changelog git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@424
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed memory leaks git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@423
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: updated documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@422
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c, npa/src/sm.c: - sm.c: added test for available memory - npa.c: removed obsolete comments git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@421
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed segfault on cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@420
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-18  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed usage of PACE_SEC_clear_free git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@419
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/src/npa.c, npa/src/npa/npa.h: adapted to
	openpace 0.6 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@418
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/vsmartcard/ccid-emulator.bb,
	bitbake/vsmartcard/eid-gui.bb, bitbake/vsmartcard/npa.bb,
	bitbake/vsmartcard/picctopcsc.bb,
	bitbake/vsmartcard/virtualsmartcard.bb,
	bitbake/vsmartcard/vscarchitecture.bb, eID_gui/src/eid/windows.py,
	eID_gui/src/pace-gui.desktop.in: - fixed references - bitbake updated versions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@417
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	released 0.4, which was mistakenly tagged 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@416
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/ChangeLog, ccid/configure.ac: released 0.5 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@415
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/opensc: fixed generation of distribution file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@414
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: adapted to the latest changes of libnpa git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@413
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	released 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@412
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/binutil.c: added mingw compatibility git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@411
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/ChangeLog, npa/configure.ac: released 0.2 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@410
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@409
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-06  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/src/npa-tool.c, npa/src/npa.c: added
	compatibility to mingw git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@408
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c, npa/src/sm.c: avoiding problems due to
	uninitialized values git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@407
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/sm.c: - windows dependant include git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@406
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am, npa/src/npa-tool.c, npa/src/npa.c,
	npa/src/npa/npa.h, npa/src/npa/npa_lib.h, npa/src/npa/sm.h,
	npa/src/npa_lib.c, npa/src/sm.c: - not exporting npa internal stuff anymore - added sm_ctx_clear_free git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@405
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/Makefile.am, npa/src/Makefile.am: 
	building clean distribution file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@404
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/Makefile.am, ccid/src/ccid.c,
	ccid/src/ccid.h, ccid/src/scutil.h, ccid/src/usb.c,
	npa/Makefile.am, npa/README.dox, npa/configure.ac,
	npa/libnpa.pc.in, npa/libpace.pc.in, npa/src/Makefile.am,
	npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h,
	npa/src/npa/npa_lib.h, npa/src/npa/scutil.h, npa/src/npa/sm.h,
	npa/src/npa_lib.c, npa/src/pace-tool.c, npa/src/pace.c,
	npa/src/pace/pace.h, npa/src/pace/pace_lib.h,
	npa/src/pace/scutil.h, npa/src/pace/sm.h, npa/src/pace_lib.c,
	npa/src/scutil.c: renamed libpace to libnpa git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@403
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/opensc: getting opensc only once git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@402
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* : Reverting bad commit git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@401
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: Shut up autotools git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@400
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/opensc/opensc_0.12.0.bb, bitbake/opensc_0.12.0.bb: moved
	opensc recipe to folder git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@399
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/ccid-1.3.13/ccid-1.3.13.patch, bitbake/ccid-emulator.bb,
	bitbake/ccid/ccid-1.3.13/ccid-1.3.13.patch,
	bitbake/ccid/ccid_1.3.13.bb, bitbake/ccid_1.3.11.bb,
	bitbake/ccid_1.3.12.bb, bitbake/ccid_1.3.13.bb, bitbake/eid-gui.bb,
	bitbake/npa.bb, bitbake/opensc_0.11.13.bb,
	bitbake/pcsc-lite-1.6.1/pcsc-lite-1.6.1.patch,
	bitbake/pcsc-lite/files/pcscd.init,
	bitbake/pcsc-lite/pcsc-lite-1.6.1/pcsc-lite-1.6.1.patch,
	bitbake/pcsc-lite/pcsc-lite_1.6.1.bb, bitbake/pcsc-lite_1.5.5.bb,
	bitbake/pcsc-lite_1.6.0.bb, bitbake/pcsc-lite_1.6.1.bb,
	bitbake/picctopcsc.bb, bitbake/virtualsmartcard.bb,
	bitbake/vscarchitecture.bb, bitbake/vsmartcard/ccid-emulator.bb,
	bitbake/vsmartcard/eid-gui.bb, bitbake/vsmartcard/npa.bb,
	bitbake/vsmartcard/picctopcsc.bb,
	bitbake/vsmartcard/virtualsmartcard.bb,
	bitbake/vsmartcard/vscarchitecture.bb: organized bitbake recipes in
	directories. deleted obsolete .bb files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@398
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/ccid-1.3.13/ccid-1.3.13.patch, bitbake/ccid_1.3.13.bb,
	bitbake/npa.bb, bitbake/opensc_0.12.0.bb,
	bitbake/pcsc-lite-1.6.1/pcsc-lite-1.6.1.patch,
	bitbake/pcsc-lite_1.6.1.bb: Updated bitbake recipes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@397
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c: cleaned up time management. might not work
	for systems where time_t is not an integer.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@396
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c: - fixed description of version parameter git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@395
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/npa.bb, ccid/README.dox, ccid/configure.ac,
	ccid/src/Makefile.am, npa/Makefile.am, npa/README.dox,
	npa/configure.ac, npa/libpace.pc.in, npa/src/Makefile.am,
	npa/src/pace-tool.c: linking against opensc now as shared library git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@394
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: fixed
	generation of ePass file system (fixes 3164830) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@393
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	fixed path walking (fixes 3164775) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@392
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, npa/src/Makefile.am, npa/src/pace.c: - fixed memory corruption when getting ef.cardaccess - minor changes in build process with libopensc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@391
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/src/Makefile.am, npa/Makefile.am,
	npa/src/Makefile.am: optimized makefile-targets git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@390
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, ccid/configure.ac, ccid/src/Makefile.am,
	npa/README.dox, npa/configure.ac, npa/libpace.pc.in,
	npa/src/Makefile.am: - added customization via OPENSC_CONFIGURE - changed information regarding opensc - fixed pkg-config file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@389
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/scutil.c: added more error messages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@388
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/usb.c: - fixed problem when powering the card - removed unused code that had to do with slot-complexity git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@387
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: supporting only one slot due to new opensc
	limitations git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@386
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/Makefile.am, ccid/src/ccid.c,
	ccid/src/ccid.h, npa/Makefile.am, npa/configure.ac,
	npa/src/Makefile.am, npa/src/pace-tool.c, npa/src/pace.c,
	npa/src/pace/pace.h, npa/src/pace/scutil.h, npa/src/pace/sm.h,
	npa/src/scutil.c, npa/src/sm.c: switched to opensc.0.12.0. note that
	this has some issues when linking against both libnpa and the opensc
	libraries at the same time. readme information would be usefull for
	this...  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@385
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c: fix error when breaking a secret where all
	digits are 9 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@384
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c: type of secret can be specified via command
	line git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@383
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/README, virtualsmartcard/README: update information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@382
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/README: updated information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@381
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c: removed byteorder.h from includes, not
	needed. thanks Dennis git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@380
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox: fixed configure command git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@379
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, npa/README.dox: - updated information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@378
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pcscutil.c: fixed build with pcsc-lite git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@377
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c, ccid/src/pcscutil.c: Fix build with visual
	studio git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@376
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: adapted to the latest changes of libpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@375
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/ChangeLog, npa/m4/Makefile.am: releasing 0.1 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@374
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c, npa/src/pace.c, npa/src/pace/pace.h: added
	input parameter for version of 03110 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@373
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	releasing 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@372
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/ChangeLog: releasing 0.2 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@371
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/ChangeLog, ccid/configure.ac: releasing 0.4 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@370
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace.c: adapted to the latest changes of OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@369
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, npa/README.dox: updated information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@368
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/scutil.h: added missing file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@367
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/scutil.h, npa/configure.ac: linking
	against libopensc not easily possible. we need to remove this
	dependancy git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@366
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c, ccid/src/pcscutil.c, ccid/src/pcscutil.h: 
	fixed compiling for windows git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@365
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/opicc.c: fixed problems with stupid tty-rewrites git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@364
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/lnfc.c: fixed intialization issues of libnfc relay git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@363
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/opicc.c, pcsc-relay/src/pcsc-relay.c: fixed some
	memory corruption git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@362
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, ccid/src/ccid.c, ccid/src/scutil.h,
	ccid/src/sm.c: removed/replaced remains of libpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@361
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac: not building cats-test by default.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@360
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/configure.ac, ccid/libpace.pc.in,
	ccid/src/Makefile.am, ccid/src/pace-tool.c, ccid/src/pace.c,
	ccid/src/pace/pace.h, ccid/src/pace/pace_lib.h,
	ccid/src/pace/scutil.h, ccid/src/pace/sm.h, ccid/src/pace_lib.c,
	ccid/src/scutil.c, ccid/src/sm.c, npa/AUTHORS, npa/COPYING,
	npa/ChangeLog, npa/Doxyfile.in, npa/Makefile.am, npa/NEWS,
	npa/README, npa/README.dox, npa/configure.ac, npa/libpace.pc.in,
	npa/m4/Makefile.am, npa/src/Makefile.am, npa/src/binutil.c,
	npa/src/binutil.h, npa/src/pace-tool.c, npa/src/pace.c,
	npa/src/pace/pace.h, npa/src/pace/pace_lib.h,
	npa/src/pace/scutil.h, npa/src/pace/sm.h, npa/src/pace_lib.c,
	npa/src/scutil.c, npa/src/sm.c: extracted libpace from ccid git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@359
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/opicc.c: made some things better readable git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@358
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/lnfc.c, pcsc-relay/src/opicc.c,
	pcsc-relay/src/pcsc-relay.c, pcsc-relay/src/pcsc-relay.h: - driver data is now allocated and destroyed by drivers - new type driver_data_t, driver data is not stored in struct
	rf_driver.  - added some comments and better debug messages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@357
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/pcsc-relay.c: added handling of unknown command
	line options git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@356
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/lnfc.c, pcsc-relay/src/opicc.c,
	pcsc-relay/src/pcsc-relay.c, pcsc-relay/src/pcsc-relay.h: added more
	error debugging git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@355
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/lnfc.c, pcsc-relay/src/opicc.c,
	pcsc-relay/src/pcsc-relay.c: - lnfc: capdu was not copied, fixed - changed some output messages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@354
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/Makefile.am, pcsc-relay/src/binutil.c,
	pcsc-relay/src/binutil.h, pcsc-relay/src/lnfc.c,
	pcsc-relay/src/opicc.c, pcsc-relay/src/pcsc-relay.c,
	pcsc-relay/src/pcsc-relay.h: added option parsing and more error
	checking git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@353
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/lnfc.c: changed default values for emulated target
	to match German identity card git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@352
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/lnfc.c, pcsc-relay/src/opicc.c,
	pcsc-relay/src/pcsc-relay.c: added more error handling git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@351
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/src/lnfc.c: added function to extract historical bytes
	from atr git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@350
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pcsc-relay/AUTHORS, pcsc-relay/COPYING, pcsc-relay/ChangeLog,
	pcsc-relay/Makefile.am, pcsc-relay/NEWS, pcsc-relay/README,
	pcsc-relay/configure.ac, pcsc-relay/src/Makefile.am,
	pcsc-relay/src/lnfc.c, pcsc-relay/src/opicc.c,
	pcsc-relay/src/pcsc-relay.c, pcsc-relay/src/pcsc-relay.h,
	pcsc-relay/src/pcscutil.c, pcsc-relay/src/pcscutil.h,
	pcsc-relay/src/picc.py, picc_to_pcsc/AUTHORS, picc_to_pcsc/COPYING,
	picc_to_pcsc/ChangeLog, picc_to_pcsc/Makefile.am,
	picc_to_pcsc/NEWS, picc_to_pcsc/README, picc_to_pcsc/configure.ac,
	picc_to_pcsc/src/Makefile.am, picc_to_pcsc/src/opicc.c,
	picc_to_pcsc/src/pcsc-relay.c, picc_to_pcsc/src/pcsc-relay.h,
	picc_to_pcsc/src/pcscutil.c, picc_to_pcsc/src/pcscutil.h,
	picc_to_pcsc/src/picc.py: completed renaming. fixed memory loss in
	openpicc driver. implemented libnfc driver.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@349
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/configure.ac, picc_to_pcsc/src/Makefile.am,
	picc_to_pcsc/src/opicc.c, picc_to_pcsc/src/pcsc-relay.c,
	picc_to_pcsc/src/pcsc-relay.h, picc_to_pcsc/src/picc_to_pcsc.c: 
	refactored picc_to_pcsc to support other drivers to send data via
	rfid. renamed to pcsc-relay.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@348
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-28  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox: updated support information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@347
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-28  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README.dox, ccid/apdus, ccid/src/pace-tool.c: - fixed: pace-tool dumped wrong apdu buffer - updated documentation on opensc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@346
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace-tool.c, ccid/src/scutil.c: - cleaned (debug) output - fixed error in interactive mode of pace-tool git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@345
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/pace.c: pace card supports extended
	lengths. note that we really need a card driver which covers that git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@344
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/README.dox, ccid/apdus,
	ccid/src/pace-tool.c: plaintext apdus to be sent via SM can now be
	read from a file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@343
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/vpcd.c: unified usage of sizeof.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@342
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/binutil.c, ccid/src/ccid.c, ccid/src/pace-tool.c,
	ccid/src/scutil.c, ccid/src/usb.c: unified usage of sizeof. found
	some potential memory corruptions with that.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@341
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/scutil.c, ccid/src/usb.c: - fixed memory corruption on card initialization - fixed compilation warning git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@340
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: added workaround for ausweisapp git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@339
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-21  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/pace.c: fixed formating of
	ReadersPACECapabilities result. errors were due to changes of r284 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@338
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-21  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/pace.c: - enable extended length apdu for all cards that have an
	ef.cardaccess - set the bit for esign by default (for testing only) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@337
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README, virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/ifd.c: - renamed ifd.c to ifd-vpcd.c to have more readable logging in pcscd - updated support information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@336
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/README: updated support information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@335
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, ccid/src/binutil.c, ccid/src/binutil.h,
	ccid/src/pace/scutil.h, ccid/src/scutil.c, ccid/src/usb.c: - moved OpenSC-related functions to scutil - added make-target for flawfinder (to be used with vim) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@334
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-14  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/src/picc_to_pcsc.c: picc_to_pcsc now runs as a daemon
	if the parameters verbose or debug are not defined git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@333
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/configure.ac, picc_to_pcsc/src/Makefile.am,
	picc_to_pcsc/src/picc_to_pcsc.c: - define PICCDEV at compile time via configure option - fixed compile error due to missing semi colon git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@332
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/usb.c: added command line option for gadgetfs mountpoint git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@331
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/configure.ac: switched from automake to sed
	for substitution of automake variables git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@330
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpcd/reader.conf.in,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard.in: - switched from perl to sed for substitution of autoconf variables - changed from generating reader.conf to vpcd in /etc/reader.conf.d git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@329
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/vicc.in: added missing file, deleted
	unused file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@328
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/src/picc_to_pcsc.c, picc_to_pcsc/src/picc_to_pcsc.h: 
	-Removed header file because we don't need to provide an interface
	-Added forward function declarations to .c file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@327
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	merged with changes of r320 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@326
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/CardGenerator.py,
	virtualsmartcard/src/vpicc/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/CryptoUtils.py,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/SEutils.py,
	virtualsmartcard/src/vpicc/SWutils.py,
	virtualsmartcard/src/vpicc/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/TLVutils.py,
	virtualsmartcard/src/vpicc/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/utils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SWutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/__init__.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: grouped
	virtual smartcard objects in virtualsmartcard package git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@325
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: added
	inconsistency check for the received apdu git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@324
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: let vicc recognize
	shutdown of vpcd git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@323
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: added workaround for bug 312754
	of pcsc-lite git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@322
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: RelayOS: removed
	card observer (thread). a removed card is now handled by exceptions.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@321
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/SmartcardSAM.py: -pycrypto should now
	only be imported if an instance of the SAM class is created -Removed
	deprecated unit tests -fixed some bugs caused by incorrect naming git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@320
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: added status
	message git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@319
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/vpcd.c,
	virtualsmartcard/src/vpicc/VirtualSmartcard.py: activated ATR
	polling as workaround for pyscard bug #3084449. now when the real
	smartcard is removed, the relay process terminates git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@318
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace.c: added argument checking git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@317
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/binutil.c, ccid/src/ccid.c, ccid/src/pace.c,
	ccid/src/scutil.c, ccid/src/sm.c: reviewed files with flawfinder git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@316
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: checked ifd.c and vpcd.c with
	flawfinder rats and pscan git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@315
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: fixed problems for workaround of
	pcscd bug 312749 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@314
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c,
	virtualsmartcard/src/vpcd/reader.conf.in: added workaround for pcscd
	bug #312749 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@313
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: added length check on rapdu
	buffer.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@312
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: modified error
	messages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@311
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c,
	virtualsmartcard/src/vpcd/reader.conf.in,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	now reading the port to open from reader.conf git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@310
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: - added more error handling to RelayOS - vicc in relay mode terminates when card is removed - created cleanup routines to use with atexit.register git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@309
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: - added workaround for "Error resetting card." in pcscd. it is
	propably a bug in pcscd - added more debug information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@308
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: added better
	inheritance to smartcard os's git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@307
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: - exception handling on power up and power down - added workaround for pyscard bugs #3083586 and #3083254 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@306
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: added debug information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@305
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/src/picc_to_pcsc.c: - fixed invalid memory read - added more input checking git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@304
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/CardGenerator.py,
	virtualsmartcard/src/vpicc/VirtualSmartcard.py: implemented smart
	card class for relaying git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@303
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/src/picc_to_pcsc.c, picc_to_pcsc/src/picc_to_pcsc.h: 
	added copyright and author git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@302
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/src/picc_to_pcsc.c: rewrite and cleanup complete git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@301
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c, ccid/src/pcscutil.c, ccid/src/pcscutil.h,
	picc_to_pcsc/Makefile, picc_to_pcsc/configure.ac,
	picc_to_pcsc/src/Makefile.am, picc_to_pcsc/src/pcscutil.c,
	picc_to_pcsc/src/pcscutil.h, picc_to_pcsc/src/picc_to_pcsc.c,
	picc_to_pcsc/src/picc_to_pcsc.h: - cats-test and picc_to_pcsc are using the same pcsc abstraction.
	this reduces the code to maintain - partial rewrite of picc_to_pcsc to reduce memory leaks and add
	fault tolerancy git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@300
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-06  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, ccid/src/cats-test.c, ccid/src/pcscutil.c,
	ccid/src/pcscutil.h: prepare to merge with pcsc_to_picc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@299
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-06  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* picc_to_pcsc/src/picc_to_pcsc.c: svc fixed uninitialized value git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@298
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Doxyfile.in, ccid/README.dox: added missing files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@297
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.h, ccid/src/usb.c: using strtol instead of sscanf git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@296
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/usb.c: - added command line parameter for USB iInterface, use it to fool
	AusweisApp - fixed population of event notification status - dont initialize serial number, when given in input git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@295
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/README: added README as link to doxygen file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@294
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/README, ccid/src/usb.c: only using doxygen
	description as readme git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@293
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Doxyfile, ccid/Makefile.am, ccid/configure.ac,
	ccid/doxygen.am, ccid/m4/doxygen.m4: changed to a more simplistic
	generation of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@292
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.h, ccid/src/pace/pace.h, ccid/src/pace/sm.h,
	ccid/src/usb.c: added documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@291
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/usb.c: sending description about the running
	configuration via usb descriptor git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@290
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Doxyfile, ccid/Makefile.am, ccid/configure.ac,
	ccid/doxygen.am, ccid/m4/doxygen.m4, ccid/src/ccid.h,
	ccid/src/pace/pace.h, ccid/src/pace/pace_lib.h,
	ccid/src/pace/scutil.h, ccid/src/pace/sm.h, ccid/src/sm.c: added
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@289
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-test.c, ccid/src/ccid.c, ccid/src/ccid.h,
	ccid/src/pace.c, ccid/src/pace/pace.h, ccid/src/pace/sm.h,
	ccid/src/usb.c: added documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@288
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace.c: adapted to the latest changes of OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@287
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-28  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/Makefile.am, ccid/patches/ccid-1.3.13.patch,
	ccid/patches/pcsclite_trunk_r5270.patch: postpone patch update for
	higher versions of ccid git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@286
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-28  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/ccid-1.3.11.patch, ccid/src/ccid.c: forgot writeback
	to RxBuffer in ccid driver git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@285
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/ccid-1.3.11.patch, ccid/src/ccid.c,
	ccid/src/pace/pace.h: added support for dynamic pace result
	generation to be transmitted to the pc/sc client. note that other
	ccid patches are not up to date git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@284
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace.c: corrected indent and title of CHAT and
	certificate description git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@283
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace.c: added support for printing and transmitting chat git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@282
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace.c, ccid/src/pace/pace.h: print certificate
	description git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@281
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/Makefile.am, ccid/src/cats-test.c, ccid/src/cats-tool.c,
	ccid/src/pace.c, ccid/src/pace/pace.h: working on support for
	certificate description git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@280
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace/sm.h, ccid/src/sm.c: deactivate emulators sm
	context, when host sends sm protected apdus git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@279
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-tool.c, ccid/src/scutil.c: - finished simulation of ta/ca - fixed parsing case 4 extended apdu git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@278
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-tool.c, ccid/src/sm.c: - fixed pace input parameters of cats-tool - fixed apdu of simulation of ta/ca (cats-tool) - fixed padding removal (sm) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@277
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/patches/ccid-1.3.11.patch, ccid/patches/ccid-1.3.13.patch,
	ccid/patches/pcsclite_trunk_r5067.patch,
	ccid/patches/pcsclite_trunk_r5270.patch: - updated patch to pcsclite trunk - changed default ccid command buffer size to support sending
	extended apdus in a single transmit (only for ccid-1.3.11 necessary) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@276
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-tool.c, ccid/src/ccid.c, ccid/src/scutil.c: - added le/lc to apdu debugging - fixed byte order problem for PC_to_RDR_XfrBlock - cats-tool: added simulation of part of TA/CA git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@275
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/pace-tool.c, ccid/src/pace.c,
	ccid/src/sm.c: - fixed compiling errors - adjusted secure messaging to support extended length apdus - card has to support extended length, this is hardcoded at the
	moment, but should better be done in the appropriate card driver git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@274
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/pace-tool.c: added debugging of invalid
	apdus git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@273
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace.c: adatpted to the latest changes of OpenPACE.
	EstablishPACEChannel now fully functional git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@272
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-21  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-tool.c: - fixed receive length - added simulation of buergerclient/ausweisapp git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@271
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: - removed unnecessary checks of NULL pointer before using free() - fixed memory leak for buergerclient workaround git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@270
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/scutil.c: fixed case 2 extended apdu parsing git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@269
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-18  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/ccid.h, ccid/src/usb.c: - extended length fully functional. fixed last problems with lengths
	and ccid descriptor.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@268
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/scutil.c: bugfix: case 2 extended length apdu are now
	recognized git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@267
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/scutil.c, ccid/src/usb.c: - Added capabilities to parse and send extended length APDUs. This
	  does not work proberly with libccid, so it is disabled at the moment - unpower card only on PC_to_RDR_IccPowerOff git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@266
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/pace-tool.c: reset the card before
	disconnecting to unpower and reset the secure messaging status git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@265
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c, ccid/src/pace-tool.c, ccid/src/pace.c,
	ccid/src/pace/sm.h, ccid/src/sm.c: - some unneded functions are no longer available in header files - cleaned memory leaks in pace-tool and ccid-emulator git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@264
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-tool.c: - fixed wrong PCSC-PACE-data - fixed command line parsing git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@263
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace.c, ccid/src/pace/pace.h: added support for
	unambiguous PACE-channel selection (ID.icc and ID.pcd) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@262
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid.c: fixed memory corruption for too long
	_RDR_to_PC_DataBlock packages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@261
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/cats-tool.c, ccid/src/usb.c: bugfix: wrong format strings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@260
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-09-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/Makefile.am, ccid/src/cats-tool.c,
	ccid/src/ccid-test.c: - renamed ccid-test to cats-tool, since it is suitable for all
	readers of type cat-s and cat-b - cats-tool takes PIN as input parameter git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@259
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid-test.c: - bugfix: pace output data now parsed correctly - added time measurement git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@258
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid-test.c: removed PCSC_TLV_STRUCTURE since its the
	attributes are not always packed git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@257
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/ccid-test.c: - bugfix: now converting pace io control to host byte order - now parsing pace output data - use pcsclite-capabilities, if possible git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@256
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid-test.c: including reader.h, if possible git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@255
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/ccid-test.c: added compatibility with windows git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@254
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/libpace.pc.in: added missing file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@253
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/src/pace-tool.c: added pace-tool can now break can, pin, puk
	with brute force git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@252
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/configure.ac, ccid/src/ccid.c, ccid/src/pace.c,
	ccid/src/pace/pace.h: added workaround for current buergerclient to
	read efcardaccess git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@251
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/windows.py: Fixed wrong label text at startup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@250
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/windows.py: -Removed debug output -Smaller label
	text git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@249
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/change-pin.desktop.in: Bugfix: Wrong program name in
	change-pin.desktop git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@248
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/widgets.py: Bugfix: Fixed colliding namespaces git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@247
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/change-pin.desktop.in, eID_gui/src/eid/widgets.py: 
	-Bugfix: Wrong programm name in desktop entry -Bugfix: MsgBox class
	was not available in widget.py git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@246
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/Makefile.am, eID_gui/src/change-pin.desktop.in,
	eID_gui/src/eid/windows.py: Added the neccessary calls to pace-tool
	for changing the PIN git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@245
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/configure.ac, eID_gui/src/Makefile.am,
	eID_gui/src/change-pin.desktop.in, eID_gui/src/change_pin.py,
	eID_gui/src/pace-gui.desktop.in: Add seperate application to change
	the eid-PIN git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@244
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/windows.py: CHanged label so it fits into the
	button git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@243
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/logic.py, eID_gui/src/eid/windows.py: Added new
	method to break text into several lines of a maximum length. This is
	neccessary because pygtk.set_width_chars doesn't work correctly on
	the Moko git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@242
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/windows.py: Added new class PINChanger for setting
	a new PIN git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@241
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-02  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/windows.py, eID_gui/src/pinpad.glade: Only enable
	the Okay button if enough digits were entered git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@240
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-02  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/pace-gui.desktop.in: Fixed icon path in
	pace-gui.desktop git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@239
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* bitbake/eid-gui.bb, bitbake/pace-gui.bb: Updated bitbaked recipe
	for eid-gui git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@238
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/eid_gui_globals.py.in: Fixed paths to images and
	glade file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@237
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/images/Makefile.am: Fixed path in images/Makefile.am git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@236
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/Makefile.am, eID_gui/src/eid/Makefile.in: Added
	missing Makefile.am and removed superfluous Makefile.in git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@235
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/src/eid/Makefile.in: Added missing Makefile.in git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@234
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/AUTHORS, pace-gui/COPYING, pace-gui/ChangeLog,
	pace-gui/INSTALL, pace-gui/Makefile.am, pace-gui/NEWS,
	pace-gui/README, pace-gui/configure.ac,
	pace-gui/images/Makefile.am, pace-gui/src/Makefile.am,
	pace-gui/src/pace-gui.desktop.in, pace-gui/src/pace-gui.py,
	pace-gui/src/pace_gui_globals.py.in, pace-gui/src/pinpad.glade: 
	Removed old sources git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@233
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-28  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* eID_gui/AUTHORS, eID_gui/COPYING, eID_gui/ChangeLog,
	eID_gui/INSTALL, eID_gui/Makefile.am, eID_gui/NEWS, eID_gui/README,
	eID_gui/configure.ac, eID_gui/images/Makefile.am,
	eID_gui/src/Makefile.am, eID_gui/src/eid/__init__.py,
	eID_gui/src/eid/eid_gui_globals.py.in, eID_gui/src/eid/logic.py,
	eID_gui/src/eid/widgets.py, eID_gui/src/eid/windows.py,
	eID_gui/src/eid_gui.py, eID_gui/src/pace-gui.desktop.in,
	eID_gui/src/pinpad.glade: Restructured the complete code to make it
	more modular git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@232
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/src/pace-gui.py: Bugfix: pass a valid CHAT to pinpad git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@231
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/src/pace-gui.py: Refactoring git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@230
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/src/pace-gui.py: -Actually show help text, when the user
	clicks on the info icon .Place window in the center of the screen
	(only relevant on the PC, not on the Moko) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@229
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-20  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/src/pace-gui.py, pace-gui/src/pace_gui_globals.py.in: 
	Added helptexts for some access rights of the eID-function git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@228
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-20  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/src/pace-gui.py: Replace gtk.MessageDialog with our own
	implementation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@227
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/src/pace-gui.py, pace-gui/src/pace_gui_globals.py.in: 
	-Lots of refactoring -Only start the card polling thread when the
	pinpad is shown -Added an info button to all entrys in the
	CertificateDescriptionWindow that might not be clear to the user git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@226
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-16  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/images/Makefile.am, pace-gui/src/pace-gui.py,
	pace-gui/src/pinpad.glade: pinpad: Scaled the images and removed the
	horizontal padding of the card info stuff CHAT dialoges: Added an
	info image to every access right column. This will be used to
	provide help to the user.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@225
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-16  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* pace-gui/src/pace-gui.py, pace-gui/src/pinpad.glade: Finally found
	the correct window size for the OpenMoko git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@224
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* ccid/Makefile.am, ccid/configure.ac, ccid/patches/Makefile.am,
	ccid/src/Makefile.am, ccid/src/ccid.c, ccid/src/pace.h,
